Skip to main content
POST
Create Webhook
See the webhooks guide for event formats, delivery behavior, security, and retry recommendations.

Authorizations

Authorization
string
header
required

Your API key, sent as Authorization: Bearer YOUR_API_KEY

Body

application/json
url
string<uri>
required

The URL where webhook events will be sent

event_types
enum<string>[]

The types of events to subscribe to. If not specified, all event types will be included.

Available options:
call.started,
call.completed,
call.transferred,
call.transcript_update,
external_call.ingested,
external_call.transcribed
description
string

Optional description for the webhook endpoint

disabled
boolean
default:false

Whether the webhook is initially disabled

rate_limit
integer

Optional cap on deliveries per second to this webhook

Response

Webhook Created Successfully

endpoint_id
string
required

Unique identifier for the webhook endpoint

url
string<uri>
required

The URL where webhook events will be sent

event_types
enum<string>[]
required

The types of events the webhook is subscribed to

Available options:
call.started,
call.completed,
call.transferred,
call.transcript_update,
external_call.ingested,
external_call.transcribed
created_at
string<date-time>
required

When the webhook endpoint was created

description
string

Description of the webhook endpoint

disabled
boolean

Whether the webhook is disabled

Last modified on September 3, 2026